File: changelog

package info (click to toggle)
liblouis 3.0.0-3+deb9u4
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 68,336 kB
  • sloc: ansic: 26,525; sh: 5,113; makefile: 739; perl: 69; python: 42
file content (343 lines) | stat: -rw-r--r-- 11,662 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
liblouis (3.0.0-3+deb9u4) stretch; urgency=medium

  * patches/cve-2018-11440: Fix another buffer overflow for CVE 2018-11440
    (Closes: #900085).
  * patches/cve-2018-11577: Fix another segfault for CVE 2018-11577
    (Closes: #900607).
  * patches/cve-2018-11683: Fix a buffer overflow for CVE 2018-11683.
  * patches/cve-2018-11684: Fix a buffer overflow for CVE 2018-11684.
  * patches/cve-2018-11685: Fix a buffer overflow for CVE 2018-11685.
  * patches/cve-2018-12085: Fix another buffer overflow for CVE 2018-12085
    (Closes: Bug#901202).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jun 2018 00:27:09 +0200

liblouis (3.0.0-3+deb9u2) stretch; urgency=medium

  * patches/cve-2018-11410: Buffer overflow fix for CVE 2018-11410
    (Closes: #899999).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 May 2018 10:46:29 +0200

liblouis (3.0.0-3+deb9u1) stretch; urgency=medium

  Fix buffer overflow and use-after-free CVEs.

  * debian/patches/CVE-2017-13738-and-2017-13744.patch: New patch.
  * debian/patches/CVE-2017-13739-and-2017-13740-and-2017-13742.patch: New
    patch
  * debian/patches/CVE-2017-13741.patch: New patch.
  * debian/patches/CVE-2017-13741-2.patch: New patch.
  * debian/patches/CVE-2017-13743.patch: New patch.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Sep 2017 01:16:30 +0200

liblouis (3.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2016 00:46:35 +0200

liblouis (3.0.0-2) experimental; urgency=medium

  * control: Make sure to have a recent-enough automake to run yaml tests.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Sep 2016 17:22:56 +0200

liblouis (3.0.0-1) experimental; urgency=medium

  * New upstream release.
    - patches/check_yaml: Remove, merged upstream.
    - control, liblouis10.install: Rename liblouis10 package to liblouis12
    according to upstream soname bump.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Sep 2016 21:43:30 +0200

liblouis (2.6.5-1) unstable; urgency=medium

  * New upstream release.
    - rename liblouis9 package to liblouis10 according to upstream soname
    bump.
  * compat: Bump to 9.
  * rules: Clear.
  * control:
    - add dh-python build-dep.
    - Bump Standards-Version to 3.9.8 (no change).
    - Update upstream URL.
  * watch: Update.
  * patches/check_yaml: Backport upstream patch to fix crashes in testsuite.
  * rules: Make testsuite failure fatal again.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 01:42:49 +0200

liblouis (2.6.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 10:53:43 +0100

liblouis (2.6.4-1) experimental; urgency=medium

  * New upstream release.
    - Rename liblouis2 package into liblouis9 according to soname bump.
    - control: Add libyaml-dev build dependency.
  * control: Drop multiarch-support pre-depend.
  * patches/git-a8375da: Merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2015 14:42:47 +0200

liblouis (2.6.2-2) unstable; urgency=medium

  * patches/git-a8375da: Fix build with makeinfo >= 6 (Closes: #790649).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 23:16:20 +0200

liblouis (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).
  * watch: Add new upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Sep 2014 17:42:25 +0200

liblouis (2.5.3-3) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).

  [ Erwan Prioul ]
  * rules: Use dh_autoreconf (Closes: Bug#752526).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jun 2014 23:26:00 +0200

liblouis (2.5.3-2) unstable; urgency=low

  * Make python-louis and python3-louis Arch: all packages.
    (Closes: Bug#719139) (LP: #1070251)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Aug 2013 17:12:48 +0200

liblouis (2.5.3-1) unstable; urgency=low

  * New upstream release.
  * Replace python -dev build-deps with python build-deps (Closes: #712076).
  * watch: Add code.google.com download URL.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jun 2013 10:30:53 +0200

liblouis (2.5.2-2) unstable; urgency=low

  * Upload to unstable.

  [ Samuel Thibault ]
  * control: Make liblouis-dev Multi-Arch: same.

  [ Luke Yelavich ]
  * Build a python 3 package (Closes: #692386)
  * Update standards version, no changes needed

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 May 2013 00:43:57 +0200

liblouis (2.5.2-1) experimental; urgency=low

  * New upstream release
    - Update copyright
    - Remove patches/format, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Dec 2012 23:52:16 +0100

liblouis (2.5.1-1) experimental; urgency=low

  * New upstream release.
    - Update copyright
    - Add TODO file to docs.
  * source/format: Switch to quilt format.
  * patches/format: New format patch to fix build.
  * liblouis-bin.install: Do not install lou_harnessGenerator.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 15:31:57 +0200

liblouis (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 21:03:21 +0100

liblouis (2.4.0-1) unstable; urgency=low

  * New upstream release
    - copyright: Update.
  * rules: Add build-indep and build-arch targets.
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Feb 2012 23:51:57 +0100

liblouis (2.3.0-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/liblouis-dev.install: Move pkg-config file to multiarch place.

  [ Barry Warsaw ]
  * Switch to dh_python2 (Closes: Bug#635442) (LP: #788514)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Aug 2011 03:51:30 +0200

liblouis (2.3.0-2) unstable; urgency=low

  * debian/rules: Set libdir to DEB_HOST_MULTIARCH.
  * debian/control: Make liblouis2 pre-depend on multiarch-support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jun 2011 12:34:49 +0200

liblouis (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Cherry-pick r448 and r449 from upstream, to fix make check timeouts and
    hung processes
  * debian/control:
    - Set liblouis-data Multi-Arch: foreign.
    - Build-depend on dpkg-dev (>= 1.16)
  * Bump Standards-Version to 3.9.2

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 May 2011 23:40:10 +0200

liblouis (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: Bug#614568).
  * debian/copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jan 2011 17:38:29 +0100

liblouis (2.0.0-2) unstable; urgency=low

  * debian/watch: Replace googlecode URL with abilitiessoft.com URL.
  * debian/gbp.conf: Add git-buildpackage configuration file.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2010 20:04:37 +0200

liblouis (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.1 (no change needed).
  * debian/rules: Do not stop build on make check error.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 02:42:36 +0200

liblouis (1.8.0-1) unstable; urgency=low

  * New upstream release (Closes: Bug#563673).
  * debian/control:
    - Drop duplicate Section: libs field.
    - Add help2man Build-Depends.
    - Rename liblouis0 package to liblouis2 due to soname change.
  * debian/rules:
    - Automatically copy config.{sub,guess} from autotools-dev
    (Closes: Bug#563485).
    - Remove python/build on clean.
  * debian/lou_*.1: Remove manpages, upstream now have some.
  * debian/copyright: Fix copyright sign.
  * debian/liblouis-dev.doc-base: Add.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Jan 2010 23:48:47 +0100

liblouis (1.7.0-2) unstable; urgency=low

  * debian/control: Remove python2.4-ctypes build-depends (Closes:
    Bug#562480), bump python-all-dev dependency version to >= 2.5.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Dec 2009 02:57:36 +0100

liblouis (1.7.0-1) unstable; urgency=low

  New upstream release.

  [ Loïc Minier ]
  * Don't override LD_LIBRARY_PATH completely as this breaks fakeroot.
  * Add ${misc:Depends}.
  * Run testsuite during build by default.
  * Stop installing *.la files in liblouis-dev; the only package
    build-depending on liblouis-dev (recursively) is liblouisxml-dev
    so that's fine.
  * Cleanup rules.
  * Add ${shlibs:Depends} to liblouis-dev and python-louis.
  * Fix copyright to mention licensing of tools (GPLv2 or later).

  [ Cyril Brulebois ]
  * Merge Loïc's patches (and tweak some of them), thanks!

  [ Samuel Thibault ]
  * rules: Install libraries to /usr/lib/$(DEB_HOST_GNU_TYPE), but not the
    pkgconfig file.
  * control: Add Multi-Arch: foreign to liblouis-bin, same to liblouis0.
  * Fix LD_LIBRARY_PATH change
  * Disable the present_progressive test, as it is known upstream that it
    fails.
  * debian/control: Bump Standards-Version to 3.8.3 (no change needed).
  * debian/lou_checkhyphens.1: New manpage.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Aug 2009 15:52:10 +0200

liblouis (1.6.2.0-2) unstable; urgency=low

  * Add texinfo to Build-Depends, fixing FTBFS with missing makeinfo
    command, before it gets reported. :)
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Jul 2009 06:25:24 +0200

liblouis (1.6.2.0-1) unstable; urgency=low

  * New upstream release.
  * examples: use lou_translate.c and lou_allround.c as examples
    (Closes: #535454).
  * Include some python examples in pydoc louis.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jul 2009 01:40:24 +0200

liblouis (1.6.1-3) unstable; urgency=low

  [ Samuel Thibault ]
  * control: make python-louis's dependency on liblouis0 versioned in case new
    functions are added.

  [ Cyril Brulebois ]
  * Get rid of XB-Python-Version, useless with python-support.
  * Get rid of debian/*.dirs, dh_install does the right thing.
  * Fix watch file: trying to match just the basename of the tarball
    fails, it looks like it's needed to consider any possible path in
    front of it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Jun 2009 01:28:52 +0200

liblouis (1.6.1-2) unstable; urgency=low

  * Load the precise library file from the python bindings (Closes: #530608).
    Thanks Cyril Brulebois for the patch!
  * Since the python package is called louis and not liblouis, rename package
    python-liblouis into python-louis to meet the Debian Python Policy and fix
    ${python:Depends} generation (no reverse dependency exist). Make it
    Architecture: any instead of all as different systems may have different
    liblouis library file names.
  * control: Change my email, remove DM-Upload-Allowed, add Vcs-Git and
    Vcs-Browser.
  * pycompat: Remove, useless with python-support.
  * Bump Standards-Version to 3.8.2 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Jun 2009 21:48:19 +0200

liblouis (1.6.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Bump Standards-Version to 3.8.1, no changes needed.
  * Set CFLAGS to -O2 unless noopt is given in DEB_BUILD_OPTIONS.
  * Build liblouis-data in binary-indep instead of binary-arch.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Tue, 21 Apr 2009 00:00:00 +0200

liblouis (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #513632).

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Sat, 07 Mar 2009 23:03:22 +0100